Updates the db report with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
db_report| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| db_report_type_id |
db report type id |
globally unique identifier |
Required |
| user_id |
Created user id |
globally unique identifier | |
| company_id |
The Final company that own this report (If WO Report, the company that owns the installation/project) |
globally unique identifier |
Optionally required : company_id,company_code or node company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating db_report |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating db_report |
company |
Optionally required : company_id, company_code or company must be provided |
| db_table_name |
TableName which db report linked to. Possible value are jobs or meeting |
string |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_id |
Table ID which db report linked to. |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| id_in_table |
Item id of the table which db report linked to |
globally unique identifier | |
| date_last_update |
Date last updated |
date | |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "88bd5f7c-24f9-498e-bf9a-67ac14037aed",
"db_report_type_id": "c2d8aa68-3079-4205-ad48-039b1f466d11",
"user_id": "34577135-8f15-4fca-b709-e76fa0034fcc",
"company_id": "d2c3804e-ab75-4ba1-aeb3-94c90ca29219",
"company_code": "sample string 5",
"db_table_name": "sample string 6",
"db_table_id": "06be31ef-bc00-4d16-bab8-3914473e4719",
"id_in_table": "404fbd2e-2e74-4b08-9186-f0efdbfd601b",
"date_last_update": "2026-10-27T08:18:35.57804+00:00",
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-10-27T08:18:35.57804+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.